Page MenuHomePhabricator

Fix arwiki's VE edit notice which shows up only as "One notice" without any further info
Closed, ResolvedPublic1 Estimated Story Points

Description

To reproduce:

  1. Log in to the Arabic Wikipedia and enable the Visual Editor.
  2. Click the "Sandbox" link in the personal bar ("ملعب").
    1. If it's red, create a draft page and save it. While creating it, a message saying "You are creating a new user page" will be shown—this is correct.
  3. Edit the draft page.

Observed: A pop-up is shown saying "1 notice" ("ملاحظة واحدة"). There is nothing else in it, so it is useless.

I cannot reproduce it in the English Wikipedia, only in Arabic.

Event Timeline

Amire80 created this task.Mar 13 2016, 11:36 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 13 2016, 11:36 AM
Jdforrester-WMF renamed this task from Useless box saying "One message" shown when editing with Visual Editor in the user space in the Arabic Wikipedia to Fix arwiki's edit notice hacks to use enwiki's hack, so that it doesn't show up as "One notice" but blank.Mar 15 2016, 5:59 PM
Jdforrester-WMF triaged this task as Low priority.
Jdforrester-WMF removed a subscriber: dchan.

That's with my interface language being en though

AlexMonk-WMF removed AlexMonk-WMF as the assignee of this task.EditedMar 31 2016, 6:15 PM

Someone who speaks Arabic (the template page names have been translated) should try to replicate what I did at https://zh.wikipedia.org/wiki/Special:%E7%94%A8%E6%88%B7%E8%B4%A1%E7%8C%AE/Krenair_(WMF)

Jdforrester-WMF changed the task status from Open to Stalled.May 10 2016, 1:27 AM
Jdforrester-WMF set the point value for this task to 1.
Aklapper changed the task status from Stalled to Open.May 24 2020, 7:25 PM

No idea who exactly this task is stalled on, hence resetting task status as I can still reproduce:

Steps to reproduce:

  1. Go to https://ar.wikipedia.org/wiki/خاص:تفضيلات#mw-prefsection-editing
  2. Set وضع التحرير: to أظهر تبويبي المحررين (show me both editor tabs)
  3. Go to https://ar.wikipedia.org/w/index.php?title=مستخدم:AKlapper_(WMF)/ملعب&veaction=edit
  4. Get info bubble أنت بصدد إنشاء صفحة مستخدم جديدة. عند الانتهاء اضغط أظهر معاينة.
  5. Enter a word on the page
  6. Press ...نشر الصفحة button
  7. Enter edit summary in حفظ تعديلاتك dialog
  8. Press نشر الصفحة button
  9. Get some pop-up at top (no idea what it says):
  10. Press the عدل tab which links to https://ar.wikipedia.org/w/index.php?title=مستخدم:AKlapper_(WMF)/ملعب&veaction=edit

Actual outcome:

VisualEditor shows unhelpful notice ملاحظة واحدة :

Restricted Application added a subscriber: alaa. · View Herald TranscriptMay 24 2020, 7:25 PM
alaa added a comment.May 25 2020, 5:13 PM
  1. Get some pop-up at top (no idea what it says):

"تم إنشاء الصفحة" = "page created"

Solution
Sorry, but I think this issue is translatewiki.net problem, I fixed it now here
https://translatewiki.net/w/i.php?title=MediaWiki%3AVisualeditor-editnotices-tool%2Far&type=revision&diff=9432755&oldid=4682634

Aklapper closed this task as Resolved.May 25 2020, 5:25 PM
Aklapper assigned this task to alaa.

@alanajjar: Yay, thanks so much! :)

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 25 2020, 5:25 PM
Aklapper renamed this task from Fix arwiki's edit notice hacks to use enwiki's hack, so that it doesn't show up as "One notice" but blank to Fix arwiki's VE edit notice which shows up only as "One notice" without any further info.May 25 2020, 5:27 PM